<%@ page language="java" pageEncoding="iso-8859-1" contentType="text/html; charset=iso-8859-1" %>
<%
	out.clear();
	java.util.Iterator itr = null;
	java.util.Map param = session.getAttribute("PostParam");
	if(param != null) {
		itr = param.keySet().iterator();
	}
	
%><html>
<head>
<title>POST ASSERTION</title>
</head>
<body onload="document.forms[0].submit()">
<form method="POST" action="<%=session.getAttribute("consumer")%>">
<input type="hidden" name="SAMLResponse" value="<%=new java.lang.String(session.getAttribute("SAMLResponse"))%>" />
<input type="hidden" name="TARGET" value="<%=session.getAttribute("TARGET")%>" />
<%if(itr != null) {while(itr.hasNext()) {String key = itr.next().toString();%>
<input type="hidden" name="<%=key%>" value="<%=param.get(key)%>" />
<%}}%>
</form>
</body>
</html>
<%
	session.removeAttribute("SAMLResponse");
	session.removeAttribute("TARGET");
	session.removeAttribute("consumer");
	session.removeAttribute("PostParam");
%>